﻿namespace Model.Stub;

public class StubArtist
{
    public List<Artist> Artists
    {
        get => artists;
    }

    private readonly List<Artist> artists;

    public StubArtist()
    {
        artists = new List<Artist>()
        {
            new Artist("Imagine Dragons"),
            new Artist("Népal"),
            new Artist("Hugo TSR"),
            new Artist("Booba"),
            new Artist("Oxmo Puccino"),
            new Artist("IAM"),
            new Artist("PNL")
        };
    }

    public List<Artist> GetArtists()
    {
        return artists;
    }
    public Artist GetArtistByName(string name)
    {
        foreach (var artist in artists)
        {
            if (artist.Name == name)
            {
                return artist;
            }
        }
        return null;
    }
    public void AddArtist(Artist artist)
    {
        artists.Add(artist);
    }
    public void RemoveArtist(Artist artist)
    {
        artists.Remove(artist);
    }
}
